Package: bambam
Version: 1.1.1+dfsg-1

The issue is quite noticable on arm64 Ubuntu
https://autopkgtest.ubuntu.com/packages/b/bambam/hirsute/arm64

Using the -noreset xvfb-run option fixes the issue, that's similar to
fixes applied to other Debian packages
https://salsa.debian.org/a11y-team/pyatspi/commit/c8406c19
being one example

Thanks,

--- debian/tests/control	2021-01-18 11:29:58.000000000 +0100
+++ bambam-1.1.1+dfsg/debian/tests/control	2021-01-27 16:20:45.890265746 +0100
@@ -1,4 +1,4 @@
-Test-Command: xvfb-run -e $AUTOPKGTEST_ARTIFACTS/xvfb-run.stderr -s "-screen 0 1024x768x24 -fbdir $AUTOPKGTEST_TMP" ./debian/tests/smoke-meat
+Test-Command: xvfb-run -e $AUTOPKGTEST_ARTIFACTS/xvfb-run.stderr -s "-noreset -screen 0 1024x768x24 -fbdir $AUTOPKGTEST_TMP" ./debian/tests/smoke-meat
 Depends: @, python3, xvfb, xauth, imagemagick, xdotool
 Features: test-name=smoke
 Restrictions: allow-stderr  # SDL complains about missing sound card to stderr

Reply via email to